#ifndef MANAGECLIENTS_H
#define MANAGECLIENTS_H

#include <QWidget>
#include "mainwindow.h"
#include <QString>
#include <QStandardItemModel>
#include <QThread>
#include <QTimer>
#include <QTcpSocket>


class ClientsThread : public QThread
{
    Q_OBJECT

public:
    explicit ClientsThread();

private:
    void run();

};




namespace Ui {
class ManageClients;

}




class ManageClients : public QWidget
{
    Q_OBJECT

public:
    explicit ManageClients(QWidget *parent = 0);
    ~ManageClients();



private slots:

    void on_cmdClose_clicked();
    void ReadClientsConfig();
    QString GetIpFromKey(QString key);
    QString GetPortFromKey(QString key);
    QString GetPasswordFromKey(QString key);
    QString GetCommandFromKey(QString key);
    void LoadClientsTable();
    void CheckAllTableClientsStatus();
    void WriteInfoLog(QString txt);
    void WriteErrorLog(QString txt);
    void WriteStatus(QString txt);
    void ClearLog();
    void ToggleGui();
    void SendToOne(QString name);
    void packetToOne();



    void on_cmdSendToClient_clicked();

    void on_cmdCheckClients_clicked();

    void on_cmdStopNow_clicked();

    void on_tableViewClients_clicked(const QModelIndex &index);

    void on_cmdSaveClient_clicked();

    void on_cmdDeleteClient_clicked();

    void on_cmdAddClient_clicked();



    void on_cmdSendToAllClients_clicked();

private:
    Ui::ManageClients *ui;
    QStandardItemModel *modelTable;
    QString settingsFile;
    ClientsThread *CtThread;
    QTimer *timerClientsStatus;
    bool StopOperation;
    QString ServerName;
    QStringList keyTmp;

    int indexRow;
    QTcpSocket *socket;


signals:


};





#endif // MANAGECLIENTS_H




